package com.wechat.callback.passiveresponses;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.Collections;
import java.util.List;

@XmlRootElement(name = "xml")
public final class PictureResponse extends BasePassiveResponse {
    private List<String> mediaId;

    public PictureResponse() {
        super();
        setMsgType(MsgTypeEnum.IMAGE);
    }

    public PictureResponse(final String mediaIdIn) {
        super();
        this.mediaId = Collections.singletonList(mediaIdIn);
        setMsgType(MsgTypeEnum.IMAGE);
    }

    @XmlElementWrapper(name = "Image")
    @XmlElement(name = "MediaId")
    public List<String> getMediaId() {
        return mediaId;
    }
}
